Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::FieldNames Class Reference

Holds a list of SQL field names. More...

`#include <field_names.h>`

List of all members.

## Public Methods
| FieldNames ()
| Default constructor.
| FieldNames (const ResUse *res)
| Create field name list from a result set.
| FieldNames (int i)
| Create empty field name list, reserving space for a fixed number of field names.
FieldNames & | operator= (const ResUse *res)
| Initializes the field list from a result set.
FieldNames & | operator= (int i)
| Insert `i` empty field names at beginning of list.
std::string & | operator[] (int i)
| Get the name of a field given its index.
const std::string & | operator[] (int i) const
| Get the name of a field given its index, in const context.
uint | operator[] (std::string i) const
| Get the index number of a field given its name.

## Detailed Description

Holds a list of SQL field names.

The documentation for this class was generated from the following files:

- field_names.h
- field_names.cpp